#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './smimeconfiguration.ui'
**
** Created: Tue Mar 22 07:24:53 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "smimeconfiguration.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "../certmanager/lib/ui/keyrequester.h"

/*
 *  Constructs a SMimeConfiguration as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SMimeConfiguration::SMimeConfiguration( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SMimeConfiguration" );
    SMimeConfigurationLayout = new QVBoxLayout( this, 11, 6, "SMimeConfigurationLayout"); 

    CRLRB = new QRadioButton( this, "CRLRB" );
    CRLRB->setChecked( TRUE );
    SMimeConfigurationLayout->addWidget( CRLRB );

    OCSPRB = new QRadioButton( this, "OCSPRB" );
    SMimeConfigurationLayout->addWidget( OCSPRB );

    OCSPGroupBox = new QGroupBox( this, "OCSPGroupBox" );
    OCSPGroupBox->setColumnLayout(0, Qt::Vertical );
    OCSPGroupBox->layout()->setSpacing( 6 );
    OCSPGroupBox->layout()->setMargin( 11 );
    OCSPGroupBoxLayout = new QVBoxLayout( OCSPGroupBox->layout() );
    OCSPGroupBoxLayout->setAlignment( Qt::AlignTop );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new QLabel( OCSPGroupBox, "textLabel1" );
    layout4->addWidget( textLabel1 );

    OCSPResponderURL = new QLineEdit( OCSPGroupBox, "OCSPResponderURL" );
    layout4->addWidget( OCSPResponderURL );
    OCSPGroupBoxLayout->addLayout( layout4 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    textLabel2 = new QLabel( OCSPGroupBox, "textLabel2" );
    layout5->addWidget( textLabel2 );

    OCSPResponderSignature = new Kleo::KeyRequester( OCSPGroupBox, "OCSPResponderSignature" );
    layout5->addWidget( OCSPResponderSignature );
    spacer7 = new QSpacerItem( 150, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer7 );
    OCSPGroupBoxLayout->addLayout( layout5 );
    SMimeConfigurationLayout->addWidget( OCSPGroupBox );

    doNotCheckCertPolicyCB = new QCheckBox( this, "doNotCheckCertPolicyCB" );
    SMimeConfigurationLayout->addWidget( doNotCheckCertPolicyCB );

    neverConsultCB = new QCheckBox( this, "neverConsultCB" );
    SMimeConfigurationLayout->addWidget( neverConsultCB );

    fetchMissingCB = new QCheckBox( this, "fetchMissingCB" );
    SMimeConfigurationLayout->addWidget( fetchMissingCB );
    spacer23 = new QSpacerItem( 20, 90, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SMimeConfigurationLayout->addItem( spacer23 );
    languageChange();
    resize( QSize(571, 402).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( CRLRB, SIGNAL( toggled(bool) ), OCSPGroupBox, SLOT( setDisabled(bool) ) );
    connect( OCSPRB, SIGNAL( toggled(bool) ), OCSPGroupBox, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SMimeConfiguration::~SMimeConfiguration()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SMimeConfiguration::languageChange()
{
    CRLRB->setText( tr2i18n( "Validate certificates using CRLs" ) );
    QWhatsThis::add( CRLRB, tr2i18n( "If this option is selected, S/MIME certificates are validated using Certificate Revocation Lists (CRLs)." ) );
    OCSPRB->setText( tr2i18n( "Validate certificates online (OCSP)" ) );
    QWhatsThis::add( OCSPRB, tr2i18n( "If this option is selected, S/MIME certificates are validated online using the Online Certificates Status Protocol (OCSP). Fill in the URL of the OCSP responder below." ) );
    OCSPGroupBox->setTitle( tr2i18n( "Online Certificate Validation" ) );
    textLabel1->setText( tr2i18n( "OCSP responder URL:" ) );
    QWhatsThis::add( OCSPResponderURL, tr2i18n( "Enter here the address of the server for online validation of certificates (OCSP responder). The URL is usually starting with http://." ) );
    textLabel2->setText( tr2i18n( "OCSP responder signature:" ) );
    doNotCheckCertPolicyCB->setText( tr2i18n( "Do not check certificate policies" ) );
    QWhatsThis::add( doNotCheckCertPolicyCB, tr2i18n( "By default GnuPG uses the file ~/.gnupg/policies.txt to check if a certificate policy is allowed. If this option is selected, policies are not checked." ) );
    neverConsultCB->setText( tr2i18n( "Never consult a CRL" ) );
    QWhatsThis::add( neverConsultCB, tr2i18n( "If this option is checked, Certificate Revocation Lists are never used to validate S/MIME certificates." ) );
    fetchMissingCB->setText( tr2i18n( "Fetch missing issuer certificates" ) );
    QWhatsThis::add( fetchMissingCB, tr2i18n( "If this option is checked, missing issuer certificates are fetched when necessary (this applies to both validation methods, CRLs and OCSP)" ) );
}

#include "smimeconfiguration.moc"
